Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.core.util
Class ElementRegistry<ELEMENT extends ECPElement,OBSERVER extends ECPObserver>

    java.lang.Object
      org.eclipse.net4j.util.event.Notifier
          org.eclipse.net4j.util.lifecycle.Lifecycle
              org.eclipse.emf.ecp.internal.core.util.Registry<ELEMENT,OBSERVER>
                  org.eclipse.emf.ecp.internal.core.util.ElementRegistry<ELEMENT,OBSERVER>

Type Parameters:
  `ELEMENT` -
  `OBSERVER` -

All Implemented Interfaces:
  ECPDisposable.DisposeListener, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation

Direct Known Subclasses:
  ECPProviderRegistryImpl, PropertiesStore, UIProviderRegistryImpl

    public abstract class ElementRegistry<ELEMENT extends ECPElement,OBSERVER extends ECPObserver>

extends Registry<ELEMENT,OBSERVER>

Author:
  Eike Stepper

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Field Summary

Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`USE_LABEL`

Constructor Summary
`ElementRegistry()`

Method Summary
`void` | `addResolveListener(InternalElementRegistry.ResolveListener<ELEMENT> listener)`
`void` | `removeResolveListener(InternalElementRegistry.ResolveListener<ELEMENT> listener)`

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.Registry
`addObserver, changeElements, disposed, getElement, getElementCount, getElementNames, getElements, hasElement, hasElements, removeObserver`

Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`activate, deactivate, getLifecycleState, isActive, isDeferredActivation, toString`

Methods inherited from class org.eclipse.net4j.util.event.Notifier
`addListener, fireEvent, fireEvent, fireEvent, getListeners, hasListeners, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, getListeners, hasListeners, removeListener`

Constructor Detail

### ElementRegistry

    public ElementRegistry()

Method Detail

### addResolveListener

    public final void addResolveListener(InternalElementRegistry.ResolveListener<ELEMENT> listener)

### removeResolveListener

    public final void removeResolveListener(InternalElementRegistry.ResolveListener<ELEMENT> listener)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.